<h2 class="ServicesTitle"><img _ngcontent-serverapp-c26="" alt="logo" class="img-fluid pr-2 titleleftimg" src=" ../../assets/images/icn_businessletter.png">Company Letters</h2>
<div class="card formFieldsBlock">
    <div class="col-sm-12">
        <form [formGroup]="CompanyForm" (ngSubmit)="onSubmit($event)" #formEl="ngForm">
            <div class="row">
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Letter Required</mat-label>
                        <mat-select formControlName="LetterRequired" (selectionChange)="checkSelectedValue($event)" >
                            <mat-option *ngFor="let cat of lettersList;let i=index;" [value]="cat">{{cat}}</mat-option>
                        </mat-select>
                        <mat-error *ngIf="CompanyForm.controls['LetterRequired'].errors?.required &&
            CompanyForm.controls['LetterRequired'].touched">
                            Please Select Letter Required.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Letter Details</mat-label>
                        <mat-select formControlName="LetterDetails" >
                            <ng-container *ngIf="isBankLoan">
                                <mat-option *ngFor="let cat of letterslistType1;let i=index;" [value]="cat">{{cat}}</mat-option>
                            </ng-container>
                            <ng-container *ngIf="isDefinitionLetter">
                                <mat-option *ngFor="let cat of letterslistType2;let i=index;" [value]="cat">{{cat}}</mat-option>
                            </ng-container>
                            <ng-container *ngIf="isGeneralLetter">
                                <mat-option *ngFor="let cat of letterslistType3;let i=index;" [value]="cat">{{cat}}</mat-option>
                            </ng-container>
                            <ng-container *ngIf="isOtherPleaseSpecify">
                                <mat-option *ngFor="let cat of letterslistType4;let i=index;" [value]="cat">{{cat}}</mat-option>
                            </ng-container>
                            <ng-container *ngIf="isServiceCertificate">
                                <mat-option *ngFor="let cat of letterslistType5;let i=index;" [value]="cat">{{cat}}</mat-option>
                            </ng-container>
                            <ng-container *ngIf="isTouristVisa">
                                <mat-option *ngFor="let cat of letterslistType6;let i=index;" [value]="cat">{{cat}}</mat-option>
                            </ng-container>
                            <ng-container *ngIf="isTransfer">
                                <mat-option *ngFor="let cat of letterslistType7;let i=index;" [value]="cat">{{cat}}</mat-option>
                            </ng-container>
                            <ng-container *ngIf="isVisitVisaLetter">
                                <mat-option *ngFor="let cat of letterslistType8;let i=index;" [value]="cat">{{cat}}</mat-option>
                            </ng-container>
                        </mat-select>
                        <mat-error *ngIf="CompanyForm.controls['LetterDetails'].errors?.required &&
            CompanyForm.controls['LetterDetails'].touched">
                            Please Select Letter Details .
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>

            <div class="row">
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Visiting Country</mat-label>
                        <mat-select formControlName="VisitingCountry" >
                            <mat-option *ngFor="let cat of countryList;let i=index;" [value]="cat">{{cat}}</mat-option>
                        </mat-select>
                        <mat-error *ngIf="CompanyForm.controls['VisitingCountry'].errors?.required &&
            CompanyForm.controls['VisitingCountry'].touched">
                            Please Select Visiting Country.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Purpose / Reason</mat-label>
                        <mat-select formControlName="PurposeReason" >
                            <mat-option *ngFor="let cat of resons;let i=index;" [value]="cat">{{cat}}</mat-option>
                        </mat-select>
                        <mat-error *ngIf="CompanyForm.controls['PurposeReason'].errors?.required &&
              CompanyForm.controls['PurposeReason'].touched">
                            Please Select Purpose / Reason.
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Other (Please Specify)</mat-label>
                        <textarea matInput maxlength="120" formControlName="Other" required></textarea>
                        <mat-error *ngIf="CompanyForm.controls['Other'].errors?.required &&
            CompanyForm.controls['Other'].touched">
                            Please Enter Other (Please Specify).
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>To Be Issue To</mat-label>
                        <textarea matInput maxlength="120" formControlName="IssueTo" required></textarea>
                        <mat-error *ngIf="CompanyForm.controls['IssueTo'].errors?.required &&
            CompanyForm.controls['IssueTo'].touched">
                            Please Enter To Be Issue To.
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Notes</mat-label>
                        <textarea matInput maxlength="150" formControlName="Notes" required></textarea>
                        <mat-error *ngIf="CompanyForm.controls['Notes'].errors?.required &&
            CompanyForm.controls['Notes'].touched">
                            Please Enter Notes.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Authorizing Person Name</mat-label>
                        <textarea matInput maxlength="120" formControlName="AuthorizingPerson" required></textarea>
                        <mat-error *ngIf="CompanyForm.controls['AuthorizingPerson'].errors?.required &&
            CompanyForm.controls['AuthorizingPerson'].touched">
                            Please Enter Authorizing Person Name.
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Authorizing Person ID</mat-label>
                        <input matInput type="number" maxlength="10" formControlName="AuthorizingPersonID" required autocomplete="off" />
                        <mat-error *ngIf="CompanyForm.controls['AuthorizingPersonID'].errors?.required &&
            CompanyForm.controls['AuthorizingPersonID'].touched">
                            Please Enter Authorizing Person ID.
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>

            <br>
            <div class="text-center">
                <button mat-raised-button [disabled]="!CompanyForm.valid" class="submit-btn"> Submit</button>
                <button type="button" mat-raised-button class="submit-btn" (click)="cancel()">Cancel</button>
            </div>

        </form>
    </div>
</div>